Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039050
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2018-07-25 17:092018-08-10 16:20
ReporterlorenzofidalgoView Statuspublic 
Assigned Torqueralta 
PriorityimmediateResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisione1888c7207e3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned To
Regression levelQA functional test
Regression date
Regression introduced in releasemain
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039050: [RR18Q3] Total Amount button is still enabled when products are deleted by line

DescriptionWhen products are deleted by line and receipt is empty, Total Amount button is showing "0.00" but still enabled.
Steps To Reproduce0-Log POS as vallblanca.
1-Add 1x "Avalanche Transceiver" to the receipt.
2-Click in the just added product and delete that line. DEFECT: Realise Total Amount button is still enabled, clickable and it will show "0.00€ remaining to pay."
TagsNo tags attached.
Attached Filespng file icon TotalAmountNotDisabled.png [^] (154,575 bytes) 2018-07-25 17:09

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106255)
hgbot (developer)
2018-08-09 14:34

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e1888c7207e3ace5e87cb4e7ab197982238faa14
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Wed Aug 08 14:41:07 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e1888c7207e3ace5e87cb4e7ab197982238faa14 [^]

Fixed issue 39050: [RR18Q3] Total Amount button is still enabled when products
are deleted by line

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0106294)
hgbot (developer)
2018-08-10 16:20

Repository: tools/automation/pi-mobile
Changeset: 8dc09cff668250ad8cfe5207216abc1e9d865695
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Thu Aug 09 11:05:32 2018 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/8dc09cff668250ad8cfe5207216abc1e9d865695 [^]

Related to issue 39050: added automated test

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I39050_VerifyTotalAmountButtonDisabledWhenLineDeleted.java
---

- Issue History
Date Modified Username Field Change
2018-07-25 17:09 lorenzofidalgo New Issue
2018-07-25 17:09 lorenzofidalgo Assigned To => Retail
2018-07-25 17:09 lorenzofidalgo File Added: TotalAmountNotDisabled.png
2018-07-25 17:09 lorenzofidalgo Regression level => QA functional test
2018-07-25 17:09 lorenzofidalgo Regression introduced in release => main
2018-07-25 17:09 lorenzofidalgo Triggers an Emergency Pack => No
2018-07-25 17:10 lorenzofidalgo Summary [RR18Q3] Total Amount button is still enabled when products are delete by line => [RR18Q3] Total Amount button is still enabled when products are deleted by line
2018-08-07 20:13 rqueralta Assigned To Retail => rqueralta
2018-08-07 20:13 rqueralta Status new => scheduled
2018-08-09 14:34 hgbot Checkin
2018-08-09 14:34 hgbot Note Added: 0106255
2018-08-09 14:34 hgbot Status scheduled => resolved
2018-08-09 14:34 hgbot Resolution open => fixed
2018-08-09 14:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e1888c7207e3ace5e87cb4e7ab197982238faa14 [^]
2018-08-10 16:20 hgbot Checkin
2018-08-10 16:20 hgbot Note Added: 0106294


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker